TechDraw Durchmesserbemaßung

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Diameter and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Diameter.svg TechDraw Durchmesserbemaßung

Menüeintrag
TechDraw → Ein neues Durchmessermaß in die gewählte Ansicht einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
TechDraw Dimension Radius/de


Beschreibung

Das Werkzeug »Durchmesserbemaßung« fügt eine Durchmessermaß in einer Ansicht hinzu. Die Bemaßung kann auf jeden Kreis in der Zeichnung angewendet werden. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs zum eigentlichen 3D-Abstand geändert werden.

TechDraw Dimension Diameter example.png

Messen eines Kreises, angeben des Durchmessers


Anwendung

  1. Wähle eine kreisförmige Kante in der Zeichnung. (Hinweis: Einige Bögen, die kreisförmig aussehen, können tatsächlich Ellipsen oder BSplines sein. In diesen Fällen können keine Durchmesserbemaßungen erstellt werden)
  2. Auf die Schaltfläche Techdraw Dimension Diameter.png Ein neues Durchmessermaß in die gewählte Ansicht einfügen klicken.
  3. Die Bemaßung wird in die Ansicht eingefügt. Sie kann anschließend an die gewünschte Position gezogen werden.

Einschränkungen

Bemaßungsobjekte sind anfällig für Probleme mit "topological naming". Weitere Informationen gibt es unter dem Werkzeug Längenbemaßung.

Eigenschaften

Diese Funktion hat die gleichen Eigenschaften wie das Werkzeug TechDraw Horizontale Längenbemassung. Weitere Angaben stehen auf der genannten Seite des Werkzeugs.

Programmierung

Siehe auch: TechDraw API und FreeCAD Scripting Basics.

Das Durchmesserbemaßung-Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus mittels folgender Funktion angesprochen werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)